<script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
<script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-datalabels"></script>


<?php
// Sample data for the chart
$sql = "SELECT c.ai_div_nm AS DIVISION, COUNT(c.ai_div_cd) AS HHNOs 
        FROM (SELECT a.ai_div_cd, a.ai_div_nm, b.`level-1-id` 
              FROM `hh_roster` b 
              JOIN `identity` a ON b.`level-1-id` = a.`level-1-id` 
              WHERE b.`line_no_hr` = 1 
              AND b.`psu_hr` > 0 
              AND b.`hhno_hr` > 0 
              AND b.`sex_hr` > 0) 
        c WHERE c.ai_div_nm <> 'DHAKAq' 
        GROUP BY c.ai_div_nm 
        ORDER BY c.ai_div_nm";

$result = mysqli_query($conn, $sql);

$division = [];
$hhnos = [];

while ($row = mysqli_fetch_assoc($result)) {
  $division[] = $row['DIVISION'];
  $hhnos[] = $row['HHNOs'];
}

$dataset1 = json_encode($hhnos);
$division = json_encode($division);
?>

<!-- Graph 1 Start -->
<div class="col-12 bg-white py-3">
  <!-- Heading Title -->
  <h2 class="text-center mb-3">[1] Just Demo Now</h2>
  <!-- Heading Title -->

  <!-- Graph Show -->
  <canvas class="w-100" id="chartContainerSingle"></canvas> <!-- Change the ID name and unique -->
  <!-- Graph Show -->

  <!-- Footer Title -->
  <h4 class="text-center mt-3">Just Demo Now</h4>
  <!-- Footer Title -->

</div>
<!-- Graph 1 End -->


<!-- JavaScript 1 Start -->
<script>
  Chart.register(ChartDataLabels);

  var ctx = document.getElementById('chartContainerSingle').getContext(
    '2d'); //change the ID name and unique on graph show ID name
  var myChart = new Chart(ctx, {
    type: 'bar',
    data: {
      labels: <?php echo $division; ?>, //change var name
      datasets: [{
        label: 'Dataset 1', //change label
        data: <?php echo $dataset1; ?>, //change var name
        backgroundColor: 'rgba(255, 99, 132, 0.5)', // change to color with rgba
        borderColor: 'rgba(255, 99, 132, 1)', // change to color with rgba
        borderWidth: 1,
        borderRadius: 4,
        minBarLength: 0.1,
        barPercentage: 1, // Adjust if necessary
        categoryPercentage: 0.6,
        datalabels: {
          align: 'end',
          anchor: 'end',
          color: '#000',
          formatter: function(value, context) {
            return value;
          }
        }
      }]
    },
    options: {
      plugins: {
        legend: {
          display: true, // Ensure the chart title
          position: 'bottom',
          align: 'center'
        }
      },
      indexAxis: 'y', // Ensure the chart is vertical or horizontal
      scales: {
        // Ensure the title is vertical or horizontal
        y: {
          title: {
            display: true,
            text: 'Divisions', //change title 
            font: {
              size: 24
            }
          }
        }
      }
    }
  });
</script>
<!-- JavaScript 1 Start -->